/* including fonts */
/* cyrillic-ext */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  src: local('Montserrat Regular'), local('Montserrat-Regular'), url(../fonts/montserrat1.woff2) format('woff2');
  unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}
/* cyrillic */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  src: local('Montserrat Regular'), local('Montserrat-Regular'), url(../fonts/montserrat2.woff2) format('woff2');
  unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}
/* vietnamese */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  src: local('Montserrat Regular'), local('Montserrat-Regular'), url(../fonts/montserrat3.woff2) format('woff2');
  unicode-range: U+0102-0103, U+0110-0111, U+1EA0-1EF9, U+20AB;
}
/* latin-ext */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  src: local('Montserrat Regular'), local('Montserrat-Regular'), url(../fonts/montserrat4.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  src: local('Montserrat Regular'), local('Montserrat-Regular'), url(../fonts/montserrat5.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* cyrillic-ext */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  src: local('Montserrat Bold'), local('Montserrat-Bold'), url(../fonts/montserrat6.woff2) format('woff2');
  unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}
/* cyrillic */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  src: local('Montserrat Bold'), local('Montserrat-Bold'), url(../fonts/montserrat7.woff2) format('woff2');
  unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}
/* vietnamese */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  src: local('Montserrat Bold'), local('Montserrat-Bold'), url(../fonts/montserrat8.woff2) format('woff2');
  unicode-range: U+0102-0103, U+0110-0111, U+1EA0-1EF9, U+20AB;
}
/* latin-ext */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  src: local('Montserrat Bold'), local('Montserrat-Bold'), url(../fonts/montserrat9.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  src: local('Montserrat Bold'), local('Montserrat-Bold'), url(../fonts/montserrat10.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* End including fonts */

.Montserrat {
    font-family:Montserrat;
}

* {
    font-family: Montserrat;
}

:root {
    --main-color: #0084ff;
    --main-color-contrast: #0064ff;
    --secondary-color: #f69b5f;
}

html {
  overflow-x: hidden;
}

html, html a, body {
  -webkit-font-smoothing: antialiased;
}

html {
  font-size: 16px;
  -webkit-tap-highlight-color: transparent;
}

body {
  font-size: 1rem;
  line-height: 1.55;
  background-color: #fff;
  margin: 0;
}


/* Typography */
h1, h2, h3, h4, h5, h6 {
  font-weight: 400;
  line-height: 1.5;
  color: #242424;
  margin-top: 0;
  margin-bottom: .5rem;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  text-transform: capitalize;
  margin-bottom: 0.75rem;
}

h1 a,
h2 a,
h3 a,
h4 a,
h5 a,
h6 a {
  color: #242424;
  transition-duration: 200ms;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.7, 1, 0.7, 1);
}

h1 a:focus, h1 a:hover,
h2 a:focus,
h2 a:hover,
h3 a:focus,
h3 a:hover,
h4 a:focus,
h4 a:hover,
h5 a:focus,
h5 a:hover,
h6 a:focus,
h6 a:hover {
  color: #13b1cd;
  transition-duration: 200ms;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.7, 1, 0.7, 1);
}

h1 {
  font-size: 2.5rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.75rem;
}

h4 {
  font-size: 1.5rem;
}

h5 {
  font-size: 1.25rem;
}

h6 {
  font-size: 1rem;
}

em,
li {
  font-size: 0.88rem;
  font-weight: 300;
  color: #242424;
}

em > a,
li > a {
  color: #242424;
}

em > a:hover,
li > a:hover {
  color: #26616f;
}

small {
  color: #656565;
}

label {
  font-size: 0.8125rem;
  font-weight: 700;
  color: #242424;
  margin-bottom: .25rem;
}

i {
  line-height: 1;
}
input[type=number]::-webkit-inner-spin-button,input[type=number]::-webkit-outer-spin-button{
    -webkit-appearance:none;
    -moz-appearance:none;
    appearance:none;
    margin:0;
}
/* Paragraph */
p {
  font-size: 1.04rem;
  font-weight: 300;
  color: #656565;
  line-height: 1.6;
  margin-top: 0;
  margin-bottom: 1rem;
}
/* Preventing Content Copying */
p {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Links */
a {
  color: #111e79;
  text-decoration: none;
}

a:focus, a:hover {
  color: #1095ac;
  text-decoration: none;
}

a:focus {
  outline: none;
}

/* Scroll bar */
::-webkit-scrollbar{
  width: 8px;
  height: 8px;
}

::-webkit-scrollbar-thumb {
  cursor: pointer;
  background: #151d78;
}

header {
    padding: 5px 10%;
}

.headerList {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 20px;
}

.btn, .btnGroup span[submitButton] {
    background: var(--main-color);
    color: white;
    padding: 2px 10px;
    border-radius: 10px;
}

.btn:hover, .btnGroup span[submitButton]:hover {
    color:white;
    background: var(--main-color-contrast);    
}

.headerList .btn {
    margin-left: auto;
}

.btn, .btnGroup span[submitButton], .btnGroup span[resetButton], .uploadBox {
    -webkit-transition: 250ms;
    -moz-transition: 250ms;
    -ms-transition: 250ms;
    -o-transition: 250ms;
    transition: 250ms;
}

.promo {
    text-align: center;
    padding: 50px 10%;
}

.promo img {
    width: 300px;
}

.promo-home {
    background: url(../img/the-maze-promo.jpg) 50% 50% no-repeat;
    background-size: cover;
    min-height: calc(100vw / 5);
    padding: 0 !important;
}

.promo-calculateDistance {
    background: url(../img/promoBg01.svg) 50% 50% no-repeat;
    background-size: cover;
}

.promo-upload {
    background: url(../img/promoBg02.svg) 50% 50% no-repeat;
    background-size: cover;
}

.px-10p{
    padding-left:10%;
    padding-right:10%;
}

.py-30 {
    padding-top:30px;
    padding-bottom:30px;
}

.sectionDiv {
    padding: 20px 10%;
}

.inputGroup {
    display: flex;
    flex-direction: column;
}

.inputGroup label {
    text-align: left;
}
.inputGroup input {
    border: none;
    border-bottom: 2px solid var(--secondary-color);
    padding: 5px 0;
}

#distanceForm {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.btnGroup {
    display: flex;
    gap: 25px
}

.btnGroup span[resetButton], .btnGroup span[submitButton] {
    cursor: pointer;
}

.btnGroup span[resetButton] {
    background: #e2e2e2;
    padding: 2px 10px;
    border-radius: 10px;
}

.btnGroup span[resetButton]:hover {
    background: #9e9e9e;
    color:white;
}

.text-center {
    text-align: center;
}

.mb-1 {
    margin-bottom: 1em;
}

.mb-2 {
    margin-bottom: 2em;
}

.mb-3 {
    margin-bottom: 3em;
}

.mb-6 {
    margin-bottom: 6em;
}

.hidden-xs {
    display: none;
}

.uploadBox {
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 2px dashed var(--main-color);
    border-radius: 10px;
    padding: 30px;
}

.uploadBox:hover {
    cursor: pointer;
    background: #f2f2f2;
}

.uploadBox input {
    display: none;
}

.uploadBox img {
    max-width: 200px;
    margin-bottom: 30px;
}

.uploadBox p {
    color: var(--main-color);
}

#resultPopup {
    display: none;
    flex-direction: column;
    gap: 10px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: #0000008c;
}
#resultPopup.active {
    display:flex;
    justify-content: center;
    align-items: center;
}

.popupContent {
    background: white;
    padding: 20px;
    border-radius: 10px;
}

.popupHeader {
    border-bottom: 2px solid #d4d4d4;
    margin-bottom: 25px;
}

.popupContent .closePopup {
    float: right;
    background: #efefef;
    border-radius: 5px;
    padding: 0 5px;
    cursor: pointer;
}

#footer div {
    position: fixed;
    bottom: 0;
    background: white;
    width: 100%;
    padding: 10px;
    box-shadow: 0px -3px 10px #00000017;
}

#footer p {
    margin: 0;
}

.ver-mid {
    vertical-align: middle;
}

.c-red {
    color:red;
}

@media(min-width: 999px) {
    .inputGroup {
        width: 33%;
    }
    #distanceForm {
        flex-direction: row;
        align-items: flex-end;
        justify-content: center;
    }
    .home-bg {
        background: url(../img/promoBg03.svg) 50% 125% no-repeat;
        min-height: 99vh;
        background-size: contain;
    }
    .hidden-xs {
        display: inherit;
    }
    .headerLinks {
        display:flex;
        align-items: center;
        justify-content: flex-start;
        flex-grow: 1;
        gap: 20px;
    }
    .xsMenuHandler {
        display:none;
    }
}

@media(max-width: 998px) {
    h1 {
        font-size:26px;
    }
    .headerLinks {
        display: none;
        position:absolute;
        flex-direction: column;
        gap: 10px;
        right: 20px;
        top: 70px;
        background: white;
        padding: 20px;
        border-radius: 10px;
        box-shadow: 1px 1px 24px #23232385;
    }
    .headerLinks.showMenu {
        display: flex;
    }
    .xsMenuHandler {
        margin-left: auto;
    }
    #footer p {
        font-size: 80%;
    }
}